<meta charset="utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<div>
<h1>Using libguestfs from Python</h1>

<p id="steps">
Create handle &mdash;
Inspect &mdash;
<b>Modify</b> &mdash;
Shutdown</p>

<pre class="code">
if type == "linux" and distro == "fedora":
    <b>g.mkdir_p</b> ("/etc/profile.d")
    <b>g.write</b> ("/etc/profile.d/proxy.sh",
             "http_proxy=http://cache:3128/")
else
    # etc
</pre>

</div>
